Bug 1253792 - [abrt] yum: sqlitecachec.py:61:getOtherdata:TypeError: Parsing other.xml error: Document is empty
[abrt] yum: sqlitecachec.py:61:getOtherdata:TypeError: Parsing other.xml erro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a28b107234f6a1166f7beb45d19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 13:40 EDT by Szabo Akos
Modified: 2015-12-02 13:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.96 KB, text/plain)
2015-08-14 13:40 EDT, Szabo Akos
no flags Details
File: dso_list (83 bytes, text/plain)
2015-08-14 13:41 EDT, Szabo Akos
no flags Details
File: environ (2.27 KB, text/plain)
2015-08-14 13:41 EDT, Szabo Akos
no flags Details

  None (edit)
Description Szabo Akos 2015-08-14 13:40:55 EDT
Description of problem:
Perform yum upgrade, battery gone, and after (re)boot I've got the error. The error gone if I give "yum clean all", command. (maybe, it's not a bug)

Version-Release number of selected component:
yum-3.4.3-153.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/yum --changelog --skip-broken upgrade
executable:     /usr/bin/yum
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlitecachec.py:61:getOtherdata:TypeError: Parsing other.xml error: Document is empty


Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 371, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 229, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1217, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 188, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/changelog.py", line 310, in postresolve_hook
    show_changes(conduit, 'Changes in packages about to be updated:')
  File "/usr/lib/yum-plugins/changelog.py", line 95, in show_changes
    _show_changes_changelog(conduit, srpms)
  File "/usr/lib/yum-plugins/changelog.py", line 67, in _show_changes_changelog
    for line in changelog_delta(srpms[name][0], origpkgs[name]):
  File "/usr/lib/yum-plugins/changelog.py", line 49, in changelog_delta
    for date, author, message in pkg.returnChangelog():
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 357, in returnChangelog
    self._loadChangelog()
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 327, in _loadChangelog
    self.sack.populate(self.repo, mdtype='otherdata')
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 263, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 61, in getOtherdata
    self.repoid))
TypeError: Parsing other.xml error: Document is empty


Local variables in innermost frame:
checksum: 'c385c578a70c5a96e9abd9644babc62950a3257d'
self: <sqlitecachec.RepodataParserSqlite instance at 0x7f69c4c2a1b8>
location: '/var/cache/yum/x86_64/21/adobe-linux-x86_64/gen/other.xml'
Comment 1 Szabo Akos 2015-08-14 13:40:59 EDT
Created attachment 1063144 [details]
File: backtrace
Comment 2 Szabo Akos 2015-08-14 13:41:01 EDT
Created attachment 1063145 [details]
File: dso_list
Comment 3 Szabo Akos 2015-08-14 13:41:03 EDT
Created attachment 1063146 [details]
File: environ
Comment 4 Fedora End Of Life 2015-11-04 05:51:14 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 09:57:11 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.